PETSc version 3.17.4
Fix/Edit manual page

# PetscMallocView

Saves the log of all calls to PetscMalloc(); also calls PetscMemoryGetMaximumUsage()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocView(FILE *fp)

Not Collective

### Input Parameter

| fp | - file pointer; or NULL

### Options Database Key

| -malloc_view <optional filename> | - Activates PetscMallocView() in PetscFinalize()

### Fortran Note

The calling sequence in Fortran is PetscMallocView(integer ierr) The fp defaults to stdout.

### Notes

PetscMallocDump() dumps only the currently unfreed memory, this dumps all memory ever allocated

PetscMemoryView() gives a brief summary of current memory usage

### See Also

PetscMallocGetCurrentUsage(), PetscMallocDump(), PetscMallocViewSet(), PetscMemoryView()

### Level

advanced

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages